[Numpy-discussion] request for SWIG numpy.i users

Tom Krauss thomas.p.krauss@gmail....
Sat Jun 8 21:33:28 CDT 2013


Hi folks,

I just downloaded Bill's numpy.i
<https://github.com/wfspotz/numpy/blob/4dcb06796b290ae29d4e73ad995d219087f2e949/doc/swig/numpy.i>at
commit 4dcb0679, and tried it out a bit on some of my personal projects.
 It worked fine, although I use only a fraction of the capabilities that it
includes.

 And, it made the warning go away!

I used to get this warning

g++ -g -fPIC -c simple_wrap.cpp -I/usr/include/python2.7
-I/Users/tkrauss/projects/dev_env/lib/python2.7/site-packages/numpy-1.8.0.dev_f2f0ac0_20120725-py2.7-macosx-10.8-x86_64.egg/numpy/core/include
In file included from
/Users/tkrauss/projects/dev_env/lib/python2.7/site-packages/numpy-1.8.0.dev_f2f0ac0_20120725-py2.7-macosx-10.8-x86_64.egg/numpy/core/include/numpy/ndarraytypes.h:1722,
                 from
/Users/tkrauss/projects/dev_env/lib/python2.7/site-packages/numpy-1.8.0.dev_f2f0ac0_20120725-py2.7-macosx-10.8-x86_64.egg/numpy/core/include/numpy/ndarrayobject.h:17,
                 from
/Users/tkrauss/projects/dev_env/lib/python2.7/site-packages/numpy-1.8.0.dev_f2f0ac0_20120725-py2.7-macosx-10.8-x86_64.egg/numpy/core/include/numpy/arrayobject.h:15,
                 from simple_wrap.cpp:3062:
/Users/tkrauss/projects/dev_env/lib/python2.7/site-packages/numpy-1.8.0.dev_f2f0ac0_20120725-py2.7-macosx-10.8-x86_64.egg/numpy/core/include/numpy/npy_deprecated_api.h:11:2:
warning: #warning "Using deprecated NumPy API, disable it by #defining
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION"

but not with this version.

You can see which version of numpy I am using there, and that I am on Mac
OS X 10.8. (10.8.4 specifically)  Python 2.7.2

I'd say SHIP IT!

Nice work, thanks for all your work on numpy and numpy.i.

- Tom Krauss



On Tue, Jun 4, 2013 at 3:13 PM, Ralf Gommers <ralf.gommers@gmail.com> wrote:

> Hi,
>
> If you're using or are very familiar with SWIG and the numpy.i interface
> to it, please help to test and/or review
> https://github.com/numpy/numpy/pull/3148. It's a fairly major update to
> numpy.i by Bill Spotz, containing the following:
>   - support for 4D arrays and memory managed output arguments
>   - rework for the deprecated API's in numpy 1.6 and 1.7
>   - a bug fix in a 3D typemap
>   - documentation improvements
>
> It would be good to have this merged before branching 1.8.x. Not many of
> the regular reviewers of numpy PRs are familiar with numpy.i, therefore
> help would be much appreciated.
>
> Thanks,
> Ralf
>
>
> _______________________________________________
> NumPy-Discussion mailing list
> NumPy-Discussion@scipy.org
> http://mail.scipy.org/mailman/listinfo/numpy-discussion
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/numpy-discussion/attachments/20130608/f73bf5bb/attachment.html 


More information about the NumPy-Discussion mailing list